import java.io.*;

/**Classe che serve a deserializzare un punto*/
public class DeSerializzaPunto {

	public static void main(String[] args) {
		
		ObjectInputStream ois = null;
		try {
			ois = new ObjectInputStream(new FileInputStream("dati.dat"));
		} catch (FileNotFoundException e) {
			System.out.println("Impossibile trovare il file ");
			e.printStackTrace();
			System.exit(1);
		} catch (IOException e) {
			System.out.println("Errore nella creazione dello stream ");
			e.printStackTrace();
			System.exit(1);
		}

		Punto p = null;
		try {
			p = (Punto) ois.readObject();
		} catch (IOException e1) {
			System.out.println("Errore nella creazione dello stream ");
			e1.printStackTrace();
			System.exit(1);
		} catch (ClassNotFoundException e1) {
			System.out.println("Impossibile trovare la classe");
			e1.printStackTrace();
			System.exit(1);
		}

		System.out.println(p.toString());
	}	
}
