
import java.io.*;


public class SerializzaAgente {

	public static void main(String[] args) {
		
		Agente a=new Agente("leonardo");
		
		ObjectOutputStream output=null;
		
		try{
			output=new ObjectOutputStream(new FileOutputStream("dati.dat"));
		}
		catch (FileNotFoundException e) {
			System.out.println("Impossibile trovare il file ");
			e.printStackTrace();
			System.exit(1);
		} 
		catch(IOException ioe){
			System.out.println("Errore IO");
			ioe.printStackTrace();
			System.exit(1);
		}
		try {
			output.writeObject(a);
		} catch (IOException e1) {
			System.out.println("Impossibile serializzare l'oggetto ");
			e1.printStackTrace();
			System.exit(1);
		}
	  
		try {
			output.close();
		} catch (IOException e2) {
			System.out.println("Impossibile chiudere lo stream ");
			e2.printStackTrace();
		}
		System.out.println("Serializzazione completata.");
		

	}

}
