import java.io.*;


public class DeSerializzaPadre {

	public static void main(String[] args) {
		
		ObjectInputStream ois = null;
		try {
			ois = new ObjectInputStream(new FileInputStream("dati.dat"));
		} catch (FileNotFoundException e) {
			System.out.println("Impossibile trovare il file ");
			e.printStackTrace();
			System.exit(1);
		} catch (IOException e) {
			System.out.println("Errore nella creazione dello stream ");
			e.printStackTrace();
			System.exit(1);
		}

		Padre p=null;
		Figli a=null;
		Figlio b=null;
		try {
			p = (Padre) ois.readObject();
			a = (Figlio) ois.readObject();
			b = (Figlio) ois.readObject();
			p.aggiungiFiglio(a);
			p.aggiungiFiglio(b);
		} catch (IOException e1) {
			System.out.println("Errore nella creazione dello stream ");
			e1.printStackTrace();
			System.exit(1);
		} catch (ClassNotFoundException e1) {
			System.out.println("Impossibile trovare la classe Vector");
			e1.printStackTrace();
			System.exit(1);
		}

		System.out.println(p.toString());
	}	
}

