import java.io.*;


public class DeSerializzaPadre {

	public static void main(String[] args) {
		
		ObjectInputStream ois = null;
		try {
			ois = new ObjectInputStream(new FileInputStream("dati.dat"));
		} catch (FileNotFoundException e) {
			System.out.println("Impossibile trovare il file ");
			e.printStackTrace();
			System.exit(1);
		} catch (IOException e) {
			System.out.println("Errore nella creazione dello stream ");
			e.printStackTrace();
			System.exit(1);
		}

		Padre p=null;
		try {
			p = (Padre) ois.readObject();
		} catch (IOException e1) {
			System.out.println("Errore nella creazione dello stream ");
			e1.printStackTrace();
			System.exit(1);
		} catch (ClassNotFoundException e1) {
			System.out.println("Impossibile trovare la classe");
			e1.printStackTrace();
			System.exit(1);
		}
		System.out.println("Padre immeditamente dopo la serializzazione...");
		System.out.println(p.toString());
		System.out.println("..proviamo ad aggiungere un Figlio");
		Figlio c=new Figlio("leonardo","puleggi");
		p.aggiungiFiglio(c);
		System.out.println(p.toString());
	}	
}

