import java.io.*;

public class Agente implements Serializable{
	private static final long serialVersionUID = 1L;
	private String nome;
	transient private String piattaforma;
	
	public Agente(String nome){
		this.nome=nome;
		this.piattaforma=System.getProperty("os.name");
	}
	
	public String toString(){
		StringBuilder sb=new StringBuilder("Agente:");
		sb.append("\n\t");
		sb.append(nome);
		sb.append("\n\t");
		sb.append(piattaforma);
		sb.append("\n");
		
		return sb.toString();
	}
	
	private void readObject(ObjectInputStream ois) throws IOException, ClassNotFoundException {
		ois.defaultReadObject();
		piattaforma = System.getProperty("os.name");
	}
}
