import java.io.Serializable;
import java.util.*;


public class Padre implements Serializable {
	private static final long serialVersionUID = 1L;
	
	private String nome;
	private String cognome;
	private Collection<Figlio> figli;
	private static int numero_figli;
	
	public Padre(String nome,String cognome){
		this.nome=nome;
		this.cognome=cognome;
		figli=new ArrayList<Figlio>();
		numero_figli=0;
	}
	
	public void aggiungiFiglio(Figlio f){
		figli.add(f);
		numero_figli++;
	}
	
	public String toString(){
		StringBuilder temp=new StringBuilder("Padre");
		temp.append("\n");
		temp.append("nome: ");
		temp.append(this.nome);
		temp.append("\n");
		temp.append("cognome: ");
		temp.append(this.cognome);
		temp.append("\n");
		temp.append("Figli: ");
		temp.append(figli.toString());
		temp.append("\n");
		temp.append("Numero Figli: ");
		temp.append(numero_figli);
		
		return temp.toString();
	}
}
